// SetupStruct.cpp: implementation of the CSetupStruct class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "SetupStruct.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

int CSetupStruct::AddColumn(LPCTSTR id,LPCTSTR name,int width,int def_value)
{
	ColumnsToShow new_elem;
	new_elem.id=id;
	new_elem.name=name;
	new_elem.width=width;
	new_elem.value=def_value;
	return m_cols.Add(new_elem);
}

CSetupStruct::CSetupStruct()
{
	AddColumn(_T("m_bShowId"),APL_T("Обозначение"),160,1);
	AddColumn(_T("m_bShowNumber"),APL_T("№ заказа"),100,1);
	AddColumn(_T("m_bShowName"),APL_T("Наименование"),150,1);
	AddColumn(_T("m_bShowDescr"),APL_T("Описание"),60,0);
	AddColumn(_T("m_bShowType"),APL_T("Тип"),150,0);
	AddColumn(_T("m_bShowCustomer"),APL_T("Заказчик"),100,0);
	AddColumn(_T("m_bShowState"),APL_T("Состояние"),150,0);
	AddColumn(_T("m_bShowPlDateBegin"),APL_T("Плановая дата начала"),80,0);
	AddColumn(_T("m_bShowActDateBegin"),APL_T("Фактическая дата начала"),80,0);
	AddColumn(_T("m_bShowPlDateEnd"),APL_T("Плановый срок исполнения"),80,0);
	AddColumn(_T("m_bShowActDateEnd"),APL_T("Фактический срок исполнения"),80,0);
	AddColumn(_T("m_bShowWorkgroup"),APL_T("Отдел"),80,0);
	AddColumn(_T("m_bShowKurator"),APL_T("Ответственный"),80,0);
	AddColumn(_T("m_bShowExecutors"),APL_T("Исполнители"),160,0);
	AddColumn(_T("m_bShowLabor"),APL_T("Трудоемкость"),80,0);
	AddColumn(_T("m_bShowLaborActual"),APL_T("Фактическая трудоемкость"),80,0);
	AddColumn(_T("m_bShowPrdAmount"),APL_T("Объем продукции"),80,0);
	AddColumn(_T("m_bShowPrdAmountActual"),APL_T("Фактический объем продукции"),80,0);
	AddColumn(_T("m_bShowPercentage"),APL_T("Выполнено (%)"),60,0);

	m_bSelectOutOfBoundsProjects=0;	
	m_bSelectProjects=0;			
	m_colDays=0;						
}

CSetupStruct::~CSetupStruct()
{

}
